import { AbstractControl, AbstractControlDirective, FormControlName, FormGroupName } from '@angular/forms';
import { ValidationMessage } from './model/ValidationMessage';
export declare class ValidationMessageComponent {
    formControlName: FormControlName;
    readonly standalone: boolean;
    for: AbstractControl;
    readonly messages: ValidationMessage[];
    readonly firstMessage: ValidationMessage;
    readonly controlPath: string;
    acd: AbstractControlDirective;
    constructor(formControlName: FormControlName, formGroupName: FormGroupName);
    private getValidationMessages;
}
